pcntl_wexitstatus
pcntl_wifsignaled
PCNTL Functions
PHP Manual

# pcntl_wifexited

Checks if status code represents a normal exit

### Description

bool pcntl_wifexited ( int `$status` )

Checks whether the child status code represents a normal exit.

### Parameters

`status`

  The `status` parameter is the status parameter supplied to a successful call to pcntl_waitpid.

### Return Values

Returns `TRUE` if the child status code represents a normal exit, `FALSE` otherwise.

### See Also

- pcntl_waitpid
- pcntl_wexitstatus